<?xml version="1.0" encoding="utf-8" ?>
<configuration>
    <configSections>
        <sectionGroup name="applicationSettings" type="System.Configuration.ApplicationSettingsGroup, System, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" >
            <section name="RunSOSOS.My.MySettings" type="System.Configuration.ClientSettingsSection, System, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" requirePermission="false" />
        </sectionGroup>
    </configSections>
    <system.diagnostics>
        <sources>
            <!-- This section defines the logging configuration for My.Application.Log -->
            <source name="DefaultSource" switchName="DefaultSwitch">
                <listeners>
                    <add name="FileLog"/>
                    <!-- Uncomment the below section to write to the Application Event Log -->
                    <!--<add name="EventLog"/>-->
                </listeners>
            </source>
        </sources>
        <switches>
            <add name="DefaultSwitch" value="Information" />
        </switches>
        <sharedListeners>
            <add name="FileLog"
                 type="Microsoft.VisualBasic.Logging.FileLogTraceListener, Microsoft.VisualBasic, Version=8.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a, processorArchitecture=MSIL"
                 initializeData="FileLogWriter"/>
            <!-- Uncomment the below section and replace APPLICATION_NAME with the name of your application to write to the Application Event Log -->
            <!--<add name="EventLog" type="System.Diagnostics.EventLogTraceListener" initializeData="APPLICATION_NAME"/> -->
        </sharedListeners>
    </system.diagnostics>
    <applicationSettings>
        <RunSOSOS.My.MySettings>
            <setting name="DatabaseProvider" serializeAs="String">
                <value>System.Data.SqlClient</value>
            </setting>
            <setting name="EncryptConnectString" serializeAs="String">
                <value>False</value>
            </setting>
            <setting name="ErrorLog" serializeAs="String">
                <value>\\Server\Share\sosos_err.txt</value>
            </setting>
            <setting name="ErrorLogLevel" serializeAs="String">
                <value>Full</value>
            </setting>
            <setting name="UsePingValidation" serializeAs="String">
                <value>True</value>
            </setting>
            <setting name="EventsByDay" serializeAs="String">
                <value>7</value>
            </setting>
            <setting name="EventsByLine" serializeAs="String">
                <value>0</value>
            </setting>
            <setting name="SUS_Server" serializeAs="String">
                <value>http://SUS_Server.Domain.Com</value>
            </setting>
            <setting name="VersionFile" serializeAs="String">
                <value>%SystemDrive%\utils\revision.txt</value>
            </setting>
            <setting name="LastLoginFile" serializeAs="String">
                <value>%SystemDrive%\utils\user.txt</value>
            </setting>
            <setting name="FileInfoList" serializeAs="Xml">
                <value>
                    <ArrayOfString xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
                        xmlns:xsd="http://www.w3.org/2001/XMLSchema" />
                </value>
            </setting>
            <setting name="DoAccounts" serializeAs="String">
                <value>True</value>
            </setting>
            <setting name="DoAdmins" serializeAs="String">
                <value>True</value>
            </setting>
            <setting name="DoAutoUpdate" serializeAs="String">
                <value>True</value>
            </setting>
            <setting name="DoBIOS" serializeAs="String">
                <value>True</value>
            </setting>
            <setting name="DoComponents" serializeAs="String">
                <value>True</value>
            </setting>
            <setting name="DoCPU" serializeAs="String">
                <value>True</value>
            </setting>
            <setting name="DoDesktop" serializeAs="String">
                <value>True</value>
            </setting>
            <setting name="DoDevices" serializeAs="String">
                <value>True</value>
            </setting>
            <setting name="DoDisks" serializeAs="String">
                <value>True</value>
            </setting>
            <setting name="DoDrives" serializeAs="String">
                <value>True</value>
            </setting>
            <setting name="DoEmail" serializeAs="String">
                <value>True</value>
            </setting>
            <setting name="DoEventLogs" serializeAs="String">
                <value>False</value>
            </setting>
            <setting name="DoEventLogSettings" serializeAs="String">
                <value>True</value>
            </setting>
            <setting name="DoFileInfo" serializeAs="String">
                <value>True</value>
            </setting>
            <setting name="DoInternet" serializeAs="String">
                <value>True</value>
            </setting>
            <setting name="DoMapped" serializeAs="String">
                <value>True</value>
            </setting>
            <setting name="DoMemory" serializeAs="String">
                <value>True</value>
            </setting>
            <setting name="DoModem" serializeAs="String">
                <value>True</value>
            </setting>
            <setting name="DoMonitor" serializeAs="String">
                <value>True</value>
            </setting>
            <setting name="DoMotherboard" serializeAs="String">
                <value>True</value>
            </setting>
            <setting name="DoMouse" serializeAs="String">
                <value>True</value>
            </setting>
            <setting name="DoNetAdapter" serializeAs="String">
                <value>True</value>
            </setting>
            <setting name="DoNetConfig" serializeAs="String">
                <value>True</value>
            </setting>
            <setting name="DoOS" serializeAs="String">
                <value>True</value>
            </setting>
            <setting name="DoPC" serializeAs="String">
                <value>True</value>
            </setting>
            <setting name="DoPermissions" serializeAs="String">
                <value>True</value>
            </setting>
            <setting name="DoPorts" serializeAs="String">
                <value>True</value>
            </setting>
            <setting name="DoPrinters" serializeAs="String">
                <value>True</value>
            </setting>
            <setting name="DoProcesses" serializeAs="String">
                <value>True</value>
            </setting>
            <setting name="DoProfiles" serializeAs="String">
                <value>True</value>
            </setting>
            <setting name="DoQFE" serializeAs="String">
                <value>True</value>
            </setting>
            <setting name="DoRegistry" serializeAs="String">
                <value>True</value>
            </setting>
            <setting name="DoServices" serializeAs="String">
                <value>True</value>
            </setting>
            <setting name="DoShares" serializeAs="String">
                <value>True</value>
            </setting>
            <setting name="DoSoftware" serializeAs="String">
                <value>True</value>
            </setting>
            <setting name="DoStartup" serializeAs="String">
                <value>True</value>
            </setting>
            <setting name="DoSystemDrivers" serializeAs="String">
                <value>True</value>
            </setting>
            <setting name="DoSystemInfo" serializeAs="String">
                <value>True</value>
            </setting>
            <setting name="DoTasks" serializeAs="String">
                <value>True</value>
            </setting>
            <setting name="DoUserLogin" serializeAs="String">
                <value>True</value>
            </setting>
            <setting name="DoVideo" serializeAs="String">
                <value>True</value>
            </setting>
            <setting name="DoVirus" serializeAs="String">
                <value>True</value>
            </setting>
            <setting name="ConnectionString" serializeAs="String">
                <value>Server=SQL_Server;Database=SOSOS;Trusted_Connection=yes</value>
            </setting>
            <setting name="RegistryList" serializeAs="Xml">
                <value>
                    <ArrayOfString xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
                        xmlns:xsd="http://www.w3.org/2001/XMLSchema" />
                </value>
            </setting>
        </RunSOSOS.My.MySettings>
    </applicationSettings>
</configuration>
